MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022969Community[OCCT] OCCT:Modeling Algorithmspublic2012-02-01 20:312012-04-03 13:30
ReporterRoberto Ciarloni 
Assigned Tobugmaster 
PriorityurgentSeverityintegration request 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.5.1 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022969: Wrong confusion in BRepLib_MakeEdge
DescriptionI am afraid I have found a bug in
BRepLib_MakeEdge::Init(const Handle(Geom_Curve)& CC,
           const TopoDS_Vertex& VV1,
           const TopoDS_Vertex& VV2,
           const Standard_Real pp1,
           const Standard_Real pp2)
in file src\BRepLib\BRepLib_MakeEdge.cxx at line 766:
Standard_Real epsilon = Precision::Confusion();

This "epsilon" is used to check if two parameters on a curve are coincident.
But Precision::Confusion() is a 3d tolerance, not 1d.
It seems to me Precision::PConfusion() should be used, which is made for parameters.
Additional information
and documentation updates
fixed in attachment
TagsNo tags attached.
Test case numberTest case is not required
Attached Filescxx file icon BRepLib_MakeEdge.cxx (30,793 bytes) 2012-02-01 20:31
docx file icon To_OCC-1_Contribution.docx (24,795 bytes) 2012-02-02 11:30

- Relationships

-  Notes
(0019344)
szy (administrator)
2012-02-02 11:30

Added additional file with description - To_OCC-1_Contribution.docx.
(0019486)
dbv (developer)
2012-02-09 12:05

Fix has been applied and reviewed without remarks.

Branch http://svn/svn/occt/branches/OCC22969 [^] is ready for testing.

Please test.
(0019510)
apn (administrator)
2012-02-10 15:08

Dear BugMaster,
   Workbench KAS:dev:mkv-22969-occt was created from SVN branch http://svn/svn/occt/branches/OCC22969 [^]
   (and mkv-22969-products from trunk) and compiled on Linux and Windows platforms.
   
   There are not regressions in mkv-22969-products regarding to KAS:dev:products-20120203-opt
   
   See results in /QADisk/occttests/results/KAS/dev/ mkv-22969-products_09022012/lin
   See reference results in /QADisk/occttests/results/KAS/dev/products-20120203-opt_03022012/lin
   See test cases in /QADisk/occttests/tests/ED
(0019516)
bugmaster (administrator)
2012-02-10 17:14

Integrated into trunk of occt repository

Date: 2012-02-10 16:57:17 +0400 (Fri, 10 Feb 2012)
New Revision: 10421

Modified:
   trunk/src/BRepLib/BRepLib_MakeEdge.cxx

- Related Changesets
occt: master da9d480f
Timestamp: 2012-02-10 12:57:17
Author: dbv
Committer: bugmaster
Details ] Diff ]
0022969: Wrong confusion in BRepLib_MakeEdge
mod - src/BRepLib/BRepLib_MakeEdge.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-02-01 20:31 Roberto Ciarloni New Issue
2012-02-01 20:31 Roberto Ciarloni Assigned To => jgv
2012-02-01 20:31 Roberto Ciarloni File Added: BRepLib_MakeEdge.cxx
2012-02-02 07:42 abv Assigned To jgv => dbv
2012-02-02 07:42 abv Status new => assigned
2012-02-02 10:38 bugmaster Project Open CASCADE => Community
2012-02-02 11:30 szy File Added: To_OCC-1_Contribution.docx
2012-02-02 11:30 szy Note Added: 0019344
2012-02-09 12:03 dbv Status assigned => resolved
2012-02-09 12:05 dbv Note Added: 0019486
2012-02-09 12:05 dbv Status resolved => reviewed
2012-02-10 15:08 apn Note Added: 0019510
2012-02-10 15:11 apn Test case number => Test case is not required
2012-02-10 15:11 apn Status reviewed => tested
2012-02-10 17:13 bugmaster Target Version => 6.5.3
2012-02-10 17:14 bugmaster Note Added: 0019516
2012-02-10 17:14 bugmaster Status tested => verified
2012-02-10 17:14 bugmaster Resolution open => fixed
2012-03-29 17:26 bugmaster Changeset attached => occt master da9d480f
2012-04-03 13:30 abv Assigned To dbv => Roberto Ciarloni


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker